/*
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 * 
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU Library General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin Street, Fifth Floor Boston, MA 02110-1301,  USA
 */
 
#include <stdio.h>
#include <gtk/gtk.h>
#include "tasklist.h"

int main(int argc, char **argv)
{
  GtkWidget *win;
  GtkWidget *frame;
  WnckScreen *screen;
  TalikaTaskList *tasklist;
//g_slice_set_config (G_SLICE_CONFIG_ALWAYS_MALLOC, 1);
  gtk_init (&argc, &argv);
	
  win = gtk_window_new (GTK_WINDOW_TOPLEVEL);
  gtk_window_set_default_size (GTK_WINDOW (win), 200, 44);
  gtk_window_stick (GTK_WINDOW (win));
  //   wnck_gtk_window_set_dock_type (GTK_WINDOW (win)); 

  gtk_window_set_title (GTK_WINDOW (win), "Task List");
  gtk_window_set_resizable (GTK_WINDOW (win), TRUE);

  // quit on window close 
  g_signal_connect (G_OBJECT (win), "destroy",
                    G_CALLBACK (gtk_main_quit),
                    NULL);
	
  wnck_set_client_type (WNCK_CLIENT_TYPE_PAGER);

  screen = wnck_screen_get_default ();
  //wnck_screen_force_update (screen);
	
  tasklist = talika_tasklist_new (screen,80,1);

  
  frame = gtk_frame_new (NULL);
  gtk_frame_set_shadow_type (GTK_FRAME (frame), GTK_SHADOW_IN);
  gtk_container_add (GTK_CONTAINER (win), frame);

  gtk_container_add (GTK_CONTAINER (frame), tasklist->box);  

  //gtk_widget_show (tasklist);
  gtk_widget_show (frame);
  
  if (1)
  {
    gtk_window_set_skip_taskbar_hint (GTK_WINDOW (win), TRUE); 
    gtk_window_set_keep_above (GTK_WINDOW (win), TRUE); 
  }

  gtk_widget_show (win);

  //talika_tasklist_free(tasklist);
	
  gtk_main ();
  
  return 0;
}
